Name:           cal3d
Version:        0.11.0
Release:        2%{?dist}
Summary:        Skeletal based 3-D character animation library
License:        LGPL
URL:            http://gna.org/projects/cal3d
Source0:        http://download.gna.org/cal3d/sources/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  doxygen libtool

%if 0%{?suse_version}
Group:          System/Libraries
BuildRequires:  docbook-toys gcc-c++
%else
Group:          Development/Libraries
BuildRequires:  docbook-utils
%endif

%description
Cal3D is a skeletal based 3-D character animation library written in C++
in a platform-/graphic API-independent way.

%package devel
Summary:        Header files, libraries and development documentation for Cal3D
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains the header files, libraries and documentation
for Cal3D.

%package doc
Summary:        Documentation files for Cal3D
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
This package contains modeling documentation and a users guide for Cal3D.

%prep
%setup -q

%build
LIBTOOL=libtool %configure
%{__make} LIBTOOL=libtool %{?_smp_mflags}
( cd docs && %{__make} doc-guide && %{__make} doc-api )

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%check
%{__make} %{?_smp_mflags} check

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/cal3d_converter
%{_mandir}/man1/cal3d_converter.1.gz
%{_libdir}/*.so.*
%exclude %{_libdir}/*.a

%files devel
%defattr(-,root,root,-)
%doc docs/api/html/*
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%exclude %{_libdir}/*.la

%files doc
%defattr(-,root,root,-)
%doc docs/guide
# upstream forgot this for 0.11.0: docs/modeling

%changelog
* Thu Aug 31 2006 Christopher Stone <chris.stone@gmail.com> 0.11.0-2
- FC6 Rebuild

* Sat Jul 08 2006 Christohper Stone <chris.stone@gmail.com> 0.11.0-1.fc6.1
- Rebuild release bump

* Thu Jul 08 2006 Christohper Stone <chris.stone@gmail.com> 0.11.0-1
- Update Source0 URL
- Remove autoconf patch
- Add cal3d_converter to %%files
- Make compatible with suse
- Temporarily comment out docs/modeling (upstream oversight)
- Add libtool and %%exclude .a file to work around rpath error

* Tue Jun 13 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-4
- Add libtool to BuildRequires

* Mon Jun 12 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-3
- Update URL
- Shortened summary description
- Removed %%{name} from devel/doc description and summary
- Add pkgconfig to Requires for devel
- Remove %%makeinstall
- Add %%check section

* Sun May 21 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-2
- Move some devel documentation into doc package

* Sat May 20 2006 Christopher Stone <chris.stone@gmail.com> 0.10.0-1
- Initial RPM release
